package label_relationship

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_relationship"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_relationship/update_contact_labels label_relationship UpdateLabelRelationships
//
// Update label relationships information | 批量更新LabelRelationship
//
// Update label relationships information | 批量更新LabelRelationship
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelRelationshipsInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateLabelRelationshipsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelRelationshipsInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_relationship.NewUpdateLabelRelationshipsLogic(r.Context(), svcCtx)
		resp, err := l.UpdateLabelRelationships(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
